import { Extension } from '@codemirror/state';
import { Command, KeyBinding } from '@codemirror/view';

declare const foldCode: Command;
declare const unfoldCode: Command;
declare const foldAll: Command;
declare const unfoldAll: Command;
declare const foldKeymap: readonly KeyBinding[];
interface FoldConfig {
    placeholderDOM?: (() => HTMLElement) | null;
    placeholderText?: string;
}
declare function codeFolding(config?: FoldConfig): Extension;
interface FoldGutterConfig {
    openText?: string;
    closedText?: string;
}
declare function foldGutter(config?: FoldGutterConfig): Extension;

export { codeFolding, foldAll, foldCode, foldGutter, foldKeymap, unfoldAll, unfoldCode };
